<!DOCTYPE html>
<html layout:decorator="student/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">

<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:if="${studyPlan.enabled}" th:text="${studyPlan.getName()}"></h1>
        <h1 th:if="${!studyPlan.enabled}" th:inline="text">[[${studyPlan.getName()}]] <i
                class="material-icons tooltipped" th:attr="data-tooltip=#{student.studyplan.disabled}">lock_outline</i>
        </h1>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header subjectlist">

                        <li class="collection-header">
                            <h4 class="main-header" th:text="#{student.studyplandetails.mandatory}"></h4>
                            <p
                                    class="sub-header"
                                    th:text="${progressMandatory + ' / ' + studyPlan.getEctsDistribution().getMandatory() + ' ECTS'}"
                            ></p>
                        </li>

                        <li
                                class="collection-item subject"
                                th:classappend="${subjectWithGrade.getGrade() != null and subjectWithGrade.getGrade().getMark().getMark() != 5} ? 'succeeded' : ''"
                                th:each="subjectWithGrade : ${mandatory}"
                        >

                            <span class="title">
                                <a
                                        class="teal-text"
                                        th:href="@{/student/lehrveranstaltungen/semester/subject(subjectId=__${subjectWithGrade.subjectForStudyPlan.subject.id}__)}"
                                        th:text="${subjectWithGrade.getSubjectForStudyPlan().getSubject().getName()}"
                                ></a>
                            </span>
                            <span
                                    class="secondary-content default-text"
                                    th:if="${subjectWithGrade.getGrade() != null}"
                                    th:text="#{grade} + ': ' + ${subjectWithGrade.getGrade().getMark().getMark()}"
                            ></span>

                            <div>
                                <span
                                        th:text="${subjectWithGrade.getSubjectForStudyPlan().getSubject().getEcts()} + ' ECTS'"
                                ></span><span
                                    th:if="${subjectWithGrade.getSubjectForStudyPlan().getSemesterRecommendation() != null}"
                                    th:text="', ' + ${subjectWithGrade.getSubjectForStudyPlan().getSemesterRecommendation()} + '. ' + #{semester}"
                            ></span>
                            </div>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{student.studyplandetails.optional}"></h4>
                            <h6 th:text="${progressOptional + ' / ' + studyPlan.getEctsDistribution().getOptional() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectWithGrade : ${optional}">
                            <div class="title">
                                <a class="teal-text"
                                   th:text="${subjectWithGrade.getSubjectForStudyPlan().getSubject().getName()}"></a>
                                <span class="secondary-content"
                                      th:if="${subjectWithGrade.getGrade() != null and subjectWithGrade.getGrade().getMark().getMark() != 5}"><i
                                        class="material-icons tooltipped"
                                        th:attr="data-tooltip=#{student.studyplan.details.course.completed}">done</i></span>
                            </div>
                            <div th:if="${subjectWithGrade.getSubjectForStudyPlan().getSemesterRecommendation() != null}">
                                <div th:text="${subjectWithGrade.getSubjectForStudyPlan().getSemesterRecommendation()} + '. Semester'"></div>
                            </div>
                            <div th:text="${subjectWithGrade.getSubjectForStudyPlan().getSubject().getEcts()} + ' ECTS'"></div>
                            <h5 th:if="${subjectWithGrade.getGrade() != null}"
                                th:text="#{student.studyplandetails.grade} + ': ' + ${subjectWithGrade.getGrade().getMark().getMark()}"></h5>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{student.studyplandetails.free}"></h4>
                            <h6 th:text="${progressFreeChoice + ' / ' + studyPlan.getEctsDistribution().getFreeChoice() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectWithGrade : ${freeChoice}">
                            <div th:if="${subjectWithGrade.getGrade().getMark().getMark() != 5}">
                                <div class="title">
                                    <a class="teal-text"
                                       th:text="${subjectWithGrade.getGrade().getCourse().getSubject().getName()}"></a>
                                    <span class="secondary-content"><i class="material-icons tooltipped"
                                                                       th:attr="data-tooltip=#{student.studyplan.details.course.completed}">done</i></span>
                                </div>
                                <div th:text="${subjectWithGrade.getGrade().getCourse().getSubject().getEcts()} + ' ECTS'"></div>
                                <h5 th:text="#{student.studyplandetails.grade} + ': ' + ${subjectWithGrade.getGrade().getMark().getMark()}"></h5>
                            </div>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

    </div>


</main>

</body>

</html>
